Results 1 to 5 of 5

Thread: [64-bit] Loki Installer guide

  1. #1
    Join Date
    Feb 2007
    Location
    In my chair
    Beans
    1,485

    [64-bit] Loki Installer guide

    First, make sure the libc6 libraries are installed to avoid problems.
    Code:
    sudo apt-get install ia32-libs libc6 libc6-i386
    This guide will help if you get messages such as
    Code:
    Unable to find file /bin/Linux/x86/glibc-2.0/installer
    or
    Code:
    This installation doesn't support glibc-2.0 on Linux / unknown
    The setup program seems to have failed on unknown/glibc-2.0


    ----

    Solution 1:
    Try
    Code:
    SETUP_LIBC=glibc-2.1
    linux32 ./loki_installer.run
    first. If that fails continue on:

    Solution 2:
    Code:
    ./loki_installer.run --target new_loki_dir
    cd new_loki_dir
    mv setup.sh setupold.sh
    sed 's/`DetectLIBC`/"glibc-2.1"/' setupold.sh | sed 's/`DetectARCH`/"x86"/' > setup.sh
    chmod +x setup.sh
    ./setup.sh
    Replace "glibc-2.1" with whatever glibc it wants. You will still get the same errors during the extraction but it will extract.

    You can use
    Code:
    ./loki_installer.run --help
    on a loki installer to see the correct syntax for extracting it without installing it.
    Last edited by Cappy; June 16th, 2008 at 06:36 PM.
    Currently favorite songs:
    Miss Hyde, This Song Is About Monsters, Masagin, I Will Try to Blow it Out, La Resistance
    Visit www.cherrypeel.com for more free indie music =)

  2. #2
    Join Date
    Aug 2006
    Beans
    141

    Re: [64-bit] Loki Installer guide

    Thanks for the guide! I just successfully installed Alpha Centauri based on your second error's first solution (simply using linux32). It also took me a minute to realize that it was trying to install the loki updater and loki uninstaller first, which both produced errors. Finally I just let it continue anyway and it installed Alpha Centauri fine.

    Now if I could only get Alpha Centauri to run properly...
    Want to learn about Recording in Linux?
    Need audio hardware you know will work with Linux? http://www.linuxstudiopro.com

    checking whether we are using the GNU Fortran 77 compiler... no

  3. #3
    Join Date
    May 2007
    Location
    Toronto, Canada
    Beans
    4,508
    Distro
    Ubuntu

    Re: [64-bit] Loki Installer guide

    Note that on Ubuntu 8.04 I got a "The setup program seems to have failed on x86_64/glibc-2.1" message. The solution to problem 1 helped.

  4. #4
    Join Date
    May 2007
    Location
    Toronto, Canada
    Beans
    4,508
    Distro
    Ubuntu

    Re: [64-bit] Loki Installer guide

    And thanks again Cappy, had to use this on the Ankh 2 demo as well.

  5. #5
    Join Date
    Feb 2007
    Location
    perdita
    Beans
    1,622
    Distro
    Ubuntu

    Re: [64-bit] Loki Installer guide

    Thanks, this helped a lot.
    But for the doom 3 demo, I had to do this additionally:
    Code:
    mv new_loki_dir/bin/Linux/x86/glibc-2.1 new_loki_dir/bin/Linux/x86/glibc-2.0
    (it was nice to add the "./loki_installer.run --help" tip, even if it wasn't necessary. )

    i.e. the complete walkthrough:
    Code:
    ./doom3-linux-1.1.1282-demo.x86.run --target new_loki_dir
    cd new_loki_dir
    mv setup.sh setupold.sh
    sed 's/`DetectLIBC`/"glibc-2.1"/' setupold.sh | sed 's/`DetectARCH`/"x86"/' > setup.sh
    chmod +x setup.sh
    mv ./bin/Linux/x86/glibc-2.1 ./bin/Linux/x86/glibc-2.0
    ./setup.sh

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •